#include <bits/stdc++.h>

using namespace std;

int main(){
    int x1,y1,x2,y2;
    int s=1;
    cin>>x1>>y1>>x2>>y2;
    if(x1==x2){
        s=s*2;
    }
    if(y1==y2){
        s=s*2;
    }
    cout<<s;
}